<template>
  <i
    class="block"
    :class="box ? 'icon-box' : null"
    v-html="require(`!!raw-loader!@/assets/icons/${name}.svg`).default"
  ></i>
</template>

<script lang="ts">
export default {
  props: { name: { type: String, required: true }, box: Boolean }
};
</script>

<style lang="scss">
.icon-box {
  -webkit-box-shadow: 0 4px 6px rgb(0 0 0 / 12%), 0 4px 6px rgb(0 0 0 / 12%);
  box-shadow: 0 4px 6px rgb(0 0 0 / 12%);
}
</style>
